# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.sling.api.SlingConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_INCLUDE_CONTEXT_PATH`
`"javax.servlet.include.context_path"`
`public static final String`
`ATTR_INCLUDE_PATH_INFO`
`"javax.servlet.include.path_info"`
`public static final String`
`ATTR_INCLUDE_QUERY_STRING`
`"javax.servlet.include.query_string"`
`public static final String`
`ATTR_INCLUDE_REQUEST_URI`
`"javax.servlet.include.request_uri"`
`public static final String`
`ATTR_INCLUDE_SERVLET_PATH`
`"javax.servlet.include.servlet_path"`
`public static final String`
`ATTR_REQUEST_CONTENT`
`"org.apache.sling.api.include.resource"`
`public static final String`
`ATTR_REQUEST_JAKARTA_SERVLET`
`"org.apache.sling.api.include.jakarta.servlet"`
`public static final String`
`ATTR_REQUEST_PATH_INFO`
`"org.apache.sling.api.include.request_path_info"`
`public static final String`
`ATTR_REQUEST_SERVLET`
`"org.apache.sling.api.include.servlet"`
`public static final String`
`ERROR_EXCEPTION`
`"javax.servlet.error.exception"`
`public static final String`
`ERROR_EXCEPTION_TYPE`
`"javax.servlet.error.exception_type"`
`public static final String`
`ERROR_MESSAGE`
`"javax.servlet.error.message"`
`public static final String`
`ERROR_REQUEST_URI`
`"javax.servlet.error.request_uri"`
`public static final String`
`ERROR_SERVLET_NAME`
`"javax.servlet.error.servlet_name"`
`public static final String`
`ERROR_STATUS`
`"javax.servlet.error.status_code"`
`public static final String`
`NAMESPACE_PREFIX`
`"sling"`
`public static final String`
`NAMESPACE_URI_ROOT`
`"http://sling.apache.org/"`
`public static final String`
`PROPERTY_ADAPTABLE_CLASSES`
`"adaptables"`
`public static final String`
`PROPERTY_ADAPTER_CLASSES`
`"adapters"`
`public static final String`
`PROPERTY_ADDED_ATTRIBUTES`
`"resourceAddedAttributes"`
`public static final String`
`PROPERTY_CHANGED_ATTRIBUTES`
`"resourceChangedAttributes"`
`public static final String`
`PROPERTY_PATH`
`"path"`
`public static final String`
`PROPERTY_REMOVED_ATTRIBUTES`
`"resourceRemovedAttributes"`
`public static final String`
`PROPERTY_RESOURCE_SUPER_TYPE`
`"resourceSuperType"`
`public static final String`
`PROPERTY_RESOURCE_TYPE`
`"resourceType"`
`public static final String`
`PROPERTY_USERID`
`"userid"`
`public static final String`
`SLING_CURRENT_SERVLET_NAME`
`"sling.core.current.servletName"`
`public static final String`
`TOPIC_ADAPTER_FACTORY_ADDED`
`"org/apache/sling/api/adapter/AdapterFactory/ADDED"`
`public static final String`
`TOPIC_ADAPTER_FACTORY_REMOVED`
`"org/apache/sling/api/adapter/AdapterFactory/REMOVED"`
`public static final String`
`TOPIC_RESOURCE_ADDED`
`"org/apache/sling/api/resource/Resource/ADDED"`
`public static final String`
`TOPIC_RESOURCE_CHANGED`
`"org/apache/sling/api/resource/Resource/CHANGED"`
`public static final String`
`TOPIC_RESOURCE_PROVIDER_ADDED`
`"org/apache/sling/api/resource/ResourceProvider/ADDED"`
`public static final String`
`TOPIC_RESOURCE_PROVIDER_REMOVED`
`"org/apache/sling/api/resource/ResourceProvider/REMOVED"`
`public static final String`
`TOPIC_RESOURCE_REMOVED`
`"org/apache/sling/api/resource/Resource/REMOVED"`
`public static final String`
`TOPIC_RESOURCE_RESOLVER_MAPPING_CHANGED`
`"org/apache/sling/api/resource/ResourceResolverMapping/CHANGED"`

org.apache.sling.api.adapter.AdapterFactory
Modifier and Type
Constant Field
Value
`public static final String`
`ADAPTABLE_CLASSES`
`"adaptables"`
`public static final String`
`ADAPTER_CLASSES`
`"adapters"`
`public static final String`
`SERVICE_NAME`
`"org.apache.sling.api.adapter.AdapterFactory"`
org.apache.sling.api.adapter.AdapterManager
Modifier and Type
Constant Field
Value
`public static final String`
`SERVICE_NAME`
`"org.apache.sling.api.adapter.AdapterManager"`

org.apache.sling.api.auth.Authenticator
Modifier and Type
Constant Field
Value
`public static final String`
`LOGIN_RESOURCE`
`"resource"`

org.apache.sling.api.request.RequestDispatcherOptions
Modifier and Type
Constant Field
Value
`public static final String`
`OPT_ADD_SELECTORS`
`"addSelectors"`
`public static final String`
`OPT_FORCE_RESOURCE_TYPE`
`"forceResourceType"`
`public static final String`
`OPT_PROTECT_HEADERS_ON_INCLUDE`
`"protectHeadersOnInclude"`
`public static final String`
`OPT_REPLACE_EXTENSION`
`"replaceExtension"`
`public static final String`
`OPT_REPLACE_SELECTORS`
`"replaceSelectors"`
`public static final String`
`OPT_REPLACE_SUFFIX`
`"replaceSuffix"`
org.apache.sling.api.request.SlingJakartaRequestListener
Modifier and Type
Constant Field
Value
`public static final String`
`SERVICE_NAME`
`"org.apache.sling.api.request.event.SlingRequestListener"`
org.apache.sling.api.request.SlingRequestListener
Modifier and Type
Constant Field
Value
`public static final String`
`SERVICE_NAME`
`"org.apache.sling.api.request.SlingRequestListener"`

org.apache.sling.api.request.header.JakartaMediaRangeList
Modifier and Type
Constant Field
Value
`public static final String`
`HEADER_ACCEPT`
`"Accept"`
`public static final String`
`PARAM_ACCEPT`
`":http-equiv-accept"`
`public static final String`
`WILDCARD`
`"*"`
org.apache.sling.api.request.header.MediaRangeList
Modifier and Type
Constant Field
Value
`public static final String`
`HEADER_ACCEPT`
`"Accept"`
`public static final String`
`PARAM_ACCEPT`
`":http-equiv-accept"`
`public static final String`
`WILDCARD`
`"*"`

org.apache.sling.api.resource.QueriableResourceProvider
Modifier and Type
Constant Field
Value
`public static final String`
`LANGUAGES`
`"provider.query.languages"`
org.apache.sling.api.resource.Resource
Modifier and Type
Constant Field
Value
`public static final String`
`RESOURCE_TYPE_NON_EXISTING`
`"sling:nonexisting"`
org.apache.sling.api.resource.ResourceMetadata
Modifier and Type
Constant Field
Value
`public static final String`
`CHARACTER_ENCODING`
`"sling.characterEncoding"`
`public static final String`
`CONTENT_LENGTH`
`"sling.contentLength"`
`public static final String`
`CONTENT_TYPE`
`"sling.contentType"`
`public static final String`
`CREATION_TIME`
`"sling.creationTime"`
`public static final String`
`INTERNAL_CONTINUE_RESOLVING`
`":org.apache.sling.resource.internal.continue.resolving"`
`public static final String`
`MODIFICATION_TIME`
`"sling.modificationTime"`
`public static final String`
`PARAMETER_MAP`
`"sling.parameterMap"`
`public static final String`
`RESOLUTION_PATH`
`"sling.resolutionPath"`
`public static final String`
`RESOLUTION_PATH_INFO`
`"sling.resolutionPathInfo"`
org.apache.sling.api.resource.ResourceProvider
Modifier and Type
Constant Field
Value
`public static final String`
`OWNS_ROOTS`
`"provider.ownsRoots"`
`public static final String`
`RESOURCE_TYPE_SYNTHETIC`
`"sling:syntheticResourceProviderResource"`
`public static final String`
`ROOTS`
`"provider.roots"`
`public static final String`
`USE_RESOURCE_ACCESS_SECURITY`
`"provider.useResourceAccessSecurity"`
org.apache.sling.api.resource.ResourceProviderFactory
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_REQUIRED`
`"required"`
`public static final String`
`SERVICE_BUNDLE`
`"sling.service.bundle"`
org.apache.sling.api.resource.ResourceResolver
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_RESOURCE_SUPER_TYPE`
`"sling:resourceSuperType"`
`public static final String`
`PROPERTY_RESOURCE_TYPE`
`"sling:resourceType"`
`public static final String`
`USER_IMPERSONATOR`
`"user.impersonator"`
org.apache.sling.api.resource.ResourceResolverFactory
Modifier and Type
Constant Field
Value
`public static final String`
`NEW_PASSWORD`
`"user.newpassword"`
`public static final String`
`PASSWORD`
`"user.password"`
`public static final String`
`SUBSERVICE`
`"sling.service.subservice"`
`public static final String`
`USER`
`"user.name"`
`public static final String`
`USER_IMPERSONATION`
`"user.impersonation"`

org.apache.sling.api.resource.observation.ResourceChangeListener
Modifier and Type
Constant Field
Value
`public static final String`
`CHANGE_ADDED`
`"ADDED"`
`public static final String`
`CHANGE_CHANGED`
`"CHANGED"`
`public static final String`
`CHANGE_PROVIDER_ADDED`
`"PROVIDER_ADDED"`
`public static final String`
`CHANGE_PROVIDER_REMOVED`
`"PROVIDER_REMOVED"`
`public static final String`
`CHANGE_REMOVED`
`"REMOVED"`
`public static final String`
`CHANGES`
`"resource.change.types"`
`public static final String`
`PATHS`
`"resource.paths"`
`public static final String`
`PROPERTY_NAMES_HINT`
`"resource.property.names.hint"`

org.apache.sling.api.resource.path.Path
Modifier and Type
Constant Field
Value
`public static final String`
`GLOB_PREFIX`
`"glob:"`

org.apache.sling.api.scripting.SlingBindings
Modifier and Type
Constant Field
Value
`public static final String`
`FLUSH`
`"flush"`
`public static final String`
`JAKARTA_REQUEST`
`"jakartaRequest"`
`public static final String`
`JAKARTA_RESPONSE`
`"jakartaResponse"`
`public static final String`
`LOG`
`"log"`
`public static final String`
`OUT`
`"out"`
`public static final String`
`READER`
`"reader"`
`public static final String`
`REQUEST`
`"request"`
`public static final String`
`RESOLVER`
`"resolver"`
`public static final String`
`RESOURCE`
`"resource"`
`public static final String`
`RESPONSE`
`"response"`
`public static final String`
`SLING`
`"sling"`
org.apache.sling.api.scripting.SlingScriptConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_SCRIPT_RESOURCE_RESOLVER`
`"org.apache.sling.api.scripting.ScriptResourceResolver"`
`public static final String`
`PROPERTY_SCRIPT_ENGINE_FACTORY_EXTENSIONS`
`"extensions"`
`public static final String`
`PROPERTY_SCRIPT_ENGINE_FACTORY_LANGUAGE_NAME`
`"languageName"`
`public static final String`
`PROPERTY_SCRIPT_ENGINE_FACTORY_LANGUAGE_VERSION`
`"languageVersion"`
`public static final String`
`PROPERTY_SCRIPT_ENGINE_FACTORY_MIME_TYPES`
`"mimeTypes"`
`public static final String`
`PROPERTY_SCRIPT_ENGINE_FACTORY_NAME`
`"engineName"`
`public static final String`
`PROPERTY_SCRIPT_ENGINE_FACTORY_VERSION`
`"engineVersion"`
`public static final int`
`SLING_SCOPE`
`-314`
`public static final String`
`TOPIC_SCRIPT_ENGINE_FACTORY_ADDED`
`"javax/script/ScriptEngineFactory/ADDED"`
`public static final String`
`TOPIC_SCRIPT_ENGINE_FACTORY_REMOVED`
`"javax/script/ScriptEngineFactory/REMOVED"`
`public static final String`
`TOPIC_SCRIPT_ENGINE_FACTORY_UPDATED`
`"javax/script/ScriptEngineFactory/UPDATED"`

org.apache.sling.api.security.ResourceAccessSecurity
Modifier and Type
Constant Field
Value
`public static final String`
`APPLICATION_CONTEXT`
`"application"`
`public static final String`
`CONTEXT`
`"access.context"`
`public static final String`
`PROVIDER_CONTEXT`
`"provider"`

org.apache.sling.api.servlets.HtmlResponse
Modifier and Type
Constant Field
Value
`public static final String`
`PN_CHANGE_LOG`
`"changeLog"`
`public static final String`
`PN_ERROR`
`"error"`
`public static final String`
`PN_IS_CREATED`
`"isCreate"`
`public static final String`
`PN_LOCATION`
`"location"`
`public static final String`
`PN_PARENT_LOCATION`
`"parentLocation"`
`public static final String`
`PN_PATH`
`"path"`
`public static final String`
`PN_REFERER`
`"referer"`
`public static final String`
`PN_STATUS_CODE`
`"status.code"`
`public static final String`
`PN_STATUS_MESSAGE`
`"status.message"`
`public static final String`
`PN_TITLE`
`"title"`
org.apache.sling.api.servlets.HttpConstants
Modifier and Type
Constant Field
Value
`public static final String`
`HEADER_ACCEPT`
`"Accept"`
`public static final String`
`HEADER_ETAG`
`"ETag"`
`public static final String`
`HEADER_IF_MATCH`
`"If-Match"`
`public static final String`
`HEADER_IF_MODIFIED_SINCE`
`"If-Modified-Since"`
`public static final String`
`HEADER_LAST_MODIFIED`
`"Last-Modified"`
`public static final String`
`METHOD_CONNECT`
`"CONNECT"`
`public static final String`
`METHOD_DELETE`
`"DELETE"`
`public static final String`
`METHOD_GET`
`"GET"`
`public static final String`
`METHOD_HEAD`
`"HEAD"`
`public static final String`
`METHOD_OPTIONS`
`"OPTIONS"`
`public static final String`
`METHOD_POST`
`"POST"`
`public static final String`
`METHOD_PUT`
`"PUT"`
`public static final String`
`METHOD_TRACE`
`"TRACE"`
org.apache.sling.api.servlets.ServletResolverConstants
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ERROR_HANDLER_METHOD`
`"default"`
`public static final String`
`DEFAULT_ERROR_HANDLER_RESOURCE_TYPE`
`"sling/servlet/errorhandler"`
`public static final String`
`DEFAULT_RESOURCE_TYPE`
`"sling/servlet/default"`
`public static final String`
`SLING_SERVLET_EXTENSIONS`
`"sling.servlet.extensions"`
`public static final String`
`SLING_SERVLET_METHODS`
`"sling.servlet.methods"`
`public static final String`
`SLING_SERVLET_NAME`
`"sling.core.servletName"`
`public static final String`
`SLING_SERVLET_PATHS`
`"sling.servlet.paths"`
`public static final String`
`SLING_SERVLET_PATHS_STRICT`
`"sling.servlet.paths.strict"`
`public static final String`
`SLING_SERVLET_PREFIX`
`"sling.servlet.prefix"`
`public static final String`
`SLING_SERVLET_RESOURCE_SUPER_TYPE`
`"sling.servlet.resourceSuperType"`
`public static final String`
`SLING_SERVLET_RESOURCE_TYPES`
`"sling.servlet.resourceTypes"`
`public static final String`
`SLING_SERVLET_SELECTORS`
`"sling.servlet.selectors"`

org.apache.sling.api.wrappers.SlingRequestPaths
Modifier and Type
Constant Field
Value
`public static final String`
`INCLUDE_CONTEXT_PATH`
`"javax.servlet.include.context_path"`
`public static final String`
`INCLUDE_PATH_INFO`
`"javax.servlet.include.path_info"`
`public static final String`
`INCLUDE_QUERY_STRING`
`"javax.servlet.include.query_string"`
`public static final String`
`INCLUDE_REQUEST_URI`
`"javax.servlet.include.request_uri"`
`public static final String`
`INCLUDE_SERVLET_PATH`
`"javax.servlet.include.servlet_path"`

org.apache.sling.spi.resource.provider.ProviderContext
Modifier and Type
Constant Field
Value
`public static final long`
`EXCLUDED_PATHS_CHANGED`
`2L`
`public static final long`
`OBSERVATION_LISTENER_CHANGED`
`1L`
org.apache.sling.spi.resource.provider.ResourceProvider<T>
Modifier and Type
Constant Field
Value
`public static final String`
`AUTH_ADMIN`
`"provider.auth.admin"`
`public static final String`
`AUTH_CLONE`
`"provider.auth.clone"`
`public static final String`
`AUTH_SERVICE_BUNDLE`
`"sling.service.bundle"`
`public static final String`
`AUTHENTICATE_LAZY`
`"lazy"`
`public static final String`
`AUTHENTICATE_NO`
`"no"`
`public static final String`
`AUTHENTICATE_REQUIRED`
`"required"`
`public static final String`
`MODE_OVERLAY`
`"overlay"`
`public static final String`
`MODE_PASSTHROUGH`
`"passthrough"`
`public static final String`
`PROPERTY_ADAPTABLE`
`"provider.adaptable"`
`public static final String`
`PROPERTY_ATTRIBUTABLE`
`"provider.attributable"`
`public static final String`
`PROPERTY_AUTHENTICATE`
`"provider.authenticate"`
`public static final String`
`PROPERTY_MODE`
`"provider.mode"`
`public static final String`
`PROPERTY_MODIFIABLE`
`"provider.modifiable"`
`public static final String`
`PROPERTY_NAME`
`"provider.name"`
`public static final String`
`PROPERTY_REFRESHABLE`
`"provider.refreshable"`
`public static final String`
`PROPERTY_ROOT`
`"provider.root"`
`public static final String`
`PROPERTY_USE_RESOURCE_ACCESS_SECURITY`
`"provider.useResourceAccessSecurity"`
`public static final String`
`RESOURCE_TYPE_SYNTHETIC`
`"sling:syntheticResourceProviderResource"`